usb_get_urb
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_get_urb — increments the reference count of the urb

## Synopsis

`struct urb * usb_get_urb (` | struct urb * | urb`)`;

## Arguments

`urb`

  pointer to the urb to modify, may be NULL

## Description

This must be called whenever a urb is transferred from a device driver to a host controller driver. This allows proper reference counting to happen for urbs.

A pointer to the urb with the incremented reference counter is returned.

Prev | Up | Next
usb_free_urb | Home | usb_anchor_urb